---
title: RTCIceCandidateType
slug: Web/API/RTCIceCandidateType
tags:
  - API
  - Enum
  - Enumerated Type
  - ICE
  - Media
  - RTCIceCandidateType
  - Reference
  - SDP
  - Type
  - WebRTC
  - WebRTC API
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API's</a> <code><strong>RTCIceCandidateType</strong></code> enumerated type provides a set of {{domxref("DOMString")}} values representing the types of {{Glossary("ICE")}} candidate that can arrive.</span> These strings are taken directly from the <code>candidate</code> a-line in {{Glossary("SDP")}}.</p>

<h2 id="Values">Values</h2>

<p>These candidate types are listed in order of priority; the higher in the list they are, the more efficient they are.</p>

<div id="value-list">
<dl>
 <dt><code>host</code></dt>
 <dd>The candidate is a host candidate, whose IP address as specified in the {{domxref("RTCIceCandidate.ip")}} property is in fact the true address of the remote peer.</dd>
 <dt><code>srflx</code></dt>
 <dd>The candidate is a server reflexive candidate; the <code>ip</code> indicates an intermediary address assigned by the {{Glossary("STUN")}} server to represent the candidate's peer anonymously.</dd>
 <dt><code>prflx</code></dt>
 <dd>The candidate is a peer reflexive candidate; the <code>ip</code> is an intermediary address assigned by the STUN server to represent the candidate's peer anonymously.</dd>
 <dt><code>relay</code></dt>
 <dd>The candidate is a relay candidate, obtained from a {{Glossary("TURN")}} server. The relay candidate's IP address is an address the TURN server uses to forward the media between the two peers.</dd>
</dl>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<p>The <code>RTCIceCandidateType</code> enumeration is used by the {{domxref("RTCIceCandidate.type", "type")}} property of {{domxref("RTCIceCandidate")}} objects, as well as when reporting statistics on candidates using {{domxref("RTCIceCandidateStats.candidateType")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcicecandidatetype', 'RTCIceCandidateType')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceCandidateType")}}</p>
</div>
